.\" zipmerge.mdoc \-- merge zip archives
.\" Copyright (C) 2004, 2005, 2008 Dieter Baron and Thomas Klausner
.\"
.\" This file is part of libzip, a library to manipulate ZIP archives.
.\" The authors can be contacted at <libzip@nih.at>
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\" 3. The names of the authors may not be used to endorse or promote
.\"    products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
.\" IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
.\" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
.\" IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.TH ZIPMERGE 1 "June 4, 2008" NiH
.SH "NAME"
zipmerge \- merge zip archives
.SH "SYNOPSIS"
.B zipmerge
[\fB-DhIiSsV\fR]
\fBtarget-zip\fR
\fBsource-zip Op \fBsource-zip ...\fR\fR
.SH "DESCRIPTION"
.B zipmerge
merges the source zip archives
\fBsource-zip\fR
into the target zip archive
\fBtarget-zip.\fR
By default, files in the source zip archives overwrite
existing files of the same name in the target zip archive.
.PP
Supported options:
.RS
.TP 5
\fB-D\fR
Ignore directory components in file name comparisons.
.TP 5
\fB-h\fR
Display a short help message and exit.
.TP 5
\fB-I\fR
Ignore case in file name comparisons
.TP 5
\fB-i\fR
Ask before overwriting files.
See also
\fB-s\fR.
.TP 5
\fB-S\fR
Do not overwrite files that have the same size and
CRC32 in both the source and target archives.
.TP 5
\fB-s\fR
When
\fB-i\fR
is given, do not before overwriting files that have the same size
and CRC32.
.TP 5
\fB-V\fR
Display version information and exit.
.RE
.SH "EXIT STATUS"
.B zipmerge
exits 0 on success and \*[Gt]1 if an error occurred.
.SH "SEE ALSO"
zipcmp(1),
ziptorrent(1),
libzip(3)
.SH "AUTHORS"

Dieter Baron <dillo@nih.at>
and
Thomas Klausner <tk@giga.or.at>
