.\" ziptorrent.mdoc \-- torrentzip zip archives
.\" Copyright (C) 2008 Dieter Baron and Thomas Klausner
.\"
.\" This file is part of libzip, a library to manipulate ZIP archives.
.\" The authors can be contacted at <libzip@nih.at>
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\" 3. The names of the authors may not be used to endorse or promote
.\"    products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
.\" IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
.\" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
.\" IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.TH ZIPTORRENT 1 "July 24, 2008" NiH
.SH "NAME"
ziptorrent \- torrentzip zip archives
.SH "SYNOPSIS"
.B ziptorrent
[\fB-hnVv\fR]
\fBarchive Op \fB...\fR\fR
.SH "DESCRIPTION"
.B ziptorrent
torrentzips
\fBarchive.\fR
This is a restricted file format used for using bittorrent on zip
files.
Please see
zip_set_archive_flag(3)
for details on what information gets lost through this process.
.PP
Supported options:
.RS
.TP 5
\fB-h\fR
Display a short help message and exit.
.TP 5
\fB-n\fR
Don't actually change archives, just print what would be done.
.TP 5
\fB-V\fR
Display version information and exit.
.TP 5
\fB-v\fR
Be verbose: print which archives are already torrentzipped and which
need to be rezipped.
.RE
.SH "EXIT STATUS"
.B ziptorrent
exits 0 on success and \*[Gt]1 if an error occurred.
.SH "SEE ALSO"
zipcmp(1),
zipmerge(1),
libzip(3)
.SH "AUTHORS"

Dieter Baron <dillo@nih.at>
and
Thomas Klausner <tk@giga.or.at>
